<template>
  <DetailsCommon ref="pageRef" commonRefName="作品" commonRefTarget="product" />
</template>

<script setup lang="ts">
import { ref } from 'vue';
import DetailsCommon from './DetailsCommon.vue';
import { onShareAppMessage, onShareTimeline } from '@dcloudio/uni-app';

const pageRef = ref();

onShareTimeline(() => {
  return pageRef.value?.getPageShareData() || {}; 
})
onShareAppMessage(() => {
  return pageRef.value?.getPageShareData() || {};
})
</script>
